PT-2011-32: Cross-site scripting in Citrix XenServer Web Self Service

Vulnerable software

Citrix XenServer Web Self Service
Version: 1.1 and earlier


Severity level

Severity level: Medium
Impact: Cross-site scripting
Access Vector: Remote

CVSS v2:
Base Score: 4.9
Vector: (AV:N/AC:H/Au:S/C:C/I:N/A:N)

CVE: not assigned


Vulnerability description

The specialists of the Positive Research center have detected "Cross-site scripting" vulnerability in Citrix XenServer Web Self Service.

Since special characters in usernames are not properly escaped a stored XSS attack is possible.

How to fix

Update your software up to the latest version

Advisory status

10.11.2011 - Vendor is notified
10.11.2011 - Vendor gets vulnerability details
10.03.2012 - Vendor releases fixed version and details
28.09.2012 - Public disclosure


The vulnerability has discovered by Kirill Mosolov, Positive Research Center (Positive Technologies Company)


Reports on the vulnerabilities previously discovered by Positive Research:

4G and 5G are not ready for smart cities